commit:     1fbc18259aa0e3dfb31dbd3c880b07b2a1c7876d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 13 06:56:05 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 13 06:56:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fbc1825

dev-ruby/actiontext: add 6.1.5

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actiontext/Manifest                |  1 +
 dev-ruby/actiontext/actiontext-6.1.5.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-ruby/actiontext/Manifest b/dev-ruby/actiontext/Manifest
index 7e005cfa3ff5..df4677aa52bd 100644
--- a/dev-ruby/actiontext/Manifest
+++ b/dev-ruby/actiontext/Manifest
@@ -5,4 +5,5 @@ DIST rails-6.0.4.6.tgz 18594247 BLAKE2B 
e058f69e3c21afa0026dbaf43441268bf3b38012
 DIST rails-6.0.4.7.tgz 18596833 BLAKE2B 
a376bed4a0531147bbeb2c147e6067657313b5e0ffc713b18d07037177eaeeade1516197533b022afd9b0b03a1f2ed130b85600af3ea7d53a7d932db1e6f4342
 SHA512 
e4220411ed28b2e28002820281923b45d90454ef59a57b57c98bad5e185d39b2af75609e7786566135b5e1b197544cc039ad81df1a663eeebfa10728ae2904d1
 DIST rails-6.1.4.4.tgz 11006695 BLAKE2B 
af5afbd1adafa259f3d58d31e8e616be5e83e73d3e7231fd62717c0a8c0012e7ecf5346f2465a61f72d96fdc71755e954069adfebc84dddddcb29cb8a215cee1
 SHA512 
4215be8f447e5b486a1c0d99208fbeb1f7222aa3bdff7127e31c95670a74aa315a044df0048a55fd078f42a07f17d4b7248efc09d6fac2a4b6efef8624a509ef
 DIST rails-6.1.4.6.tgz 11006958 BLAKE2B 
e365570a5d4b0e46803ec0c13639e43f4258c068362a706c99cce8b308463ef4612ff0ceeaa98877354dc40655d8a5d1302e1cb7b3e7b265e8fa466ce7ddc124
 SHA512 
89f1bbfa8bb91db26203375b979eabdfee4b085c85787557fae2d55182fa1c048cd00ff28ef20dd95f062dcaeb1f1d99be6fd081821268c8263295866ff2983e
+DIST rails-6.1.5.tgz 11017020 BLAKE2B 
5e1a167550998f8149ac770397f4e39a979f48365494f97d4b387559070e4e9264ddc93bf20e5c19537b4683a793a2c316bcb3f829cc05f0155b31a609da6756
 SHA512 
a90fe7781ddbb6a035ea7dcb950e2ab03a7297502891d4a88dfe7c3ef90b78d8009ea62a35272d3500e8819466042b883193ebb030683fc2cf7e5dc0e720edb1
 DIST rails-7.0.2.2.tgz 11034626 BLAKE2B 
388a27b5434f1ae062cb7c3a68881a885dd659dbd9e86c4d36e0cb29c493f127fb9cbdf0f9ce7dea5a715ddbcd7a3bff5e2de3adb2e278c8bf63c2473d1e4b6d
 SHA512 
e7863f1e072d266b8df1abb8abf6b141bad74ef77fe5dbcd66e7603e2ebf386520e4fd8f337edb5f5a6bd5607fbaa146823cbe6980fd7864e3934a7c9d382e3d

diff --git a/dev-ruby/actiontext/actiontext-6.1.5.ebuild 
b/dev-ruby/actiontext/actiontext-6.1.5.ebuild
new file mode 100644
index 000000000000..b644b504cc65
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-6.1.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/actionpack-${PV}
+       ~dev-ruby/activerecord-${PV}
+       ~dev-ruby/activestorage-${PV}
+       ~dev-ruby/activesupport-${PV}
+       >=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/bundler
+       dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webpacker\|webrick\|webmock\|webdrivers\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|bootsnap\|capybara\|dalli\|connection_pool\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :\(cable\|doc\|rubocop\|storage\|test\)/,/^end/ 
s:^:#:' \
+               -i ../Gemfile || die
+       rm ../Gemfile.lock || die
+}
+
+each_ruby_prepare() {
+       sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}

Reply via email to